Bug 293709 - Open in This Window action missing
Summary: Open in This Window action missing
Status: RESOLVED FIXED
Alias: None
Product: kwebkitpart
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: webkit-devel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-09 12:46 UTC by Martin Koller
Modified: 2012-09-05 21:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2012-02-09 12:46:19 UTC
Version:           unspecified (using KDE 4.8.0) 
OS:                Linux

When Using KHTML and I right-click on a url which would normally open a new window, I also get the possibility to open the new url in THIS current window instead.
When using webkit I miss this possibility.


Reproducible: Always



Expected Results:  
see above
Comment 1 Dawit Alemayehu 2012-07-29 06:48:28 UTC
Git commit 12c2c51b3422882815b4d4c6b1990fd2dc242a83 by Dawit Alemayehu.
Committed on 29/07/2012 at 00:23.
Pushed by adawit into branch '1.3'.

Fixed missing "Open in This Window" action when clicking on links that
should be opened in a new window/tab.
FIXED-IN: 1.3.0

M  +5    -0    src/webview.cpp

http://commits.kde.org/kwebkitpart/12c2c51b3422882815b4d4c6b1990fd2dc242a83